﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Pocitadlo
{
    public partial class Form1 : Form
    {
        int cisloVteriny;
        int cislo;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void TlacStart_Click(object sender, EventArgs e)
        {
            Stopky.Enabled = true;

            cislo = Convert.ToInt32(PoleCislo.Text);
            cisloVteriny = cislo * 60; //Převést "cislo" na vteřiny
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            Odpocet.Text = cisloVteriny / 60 + ":" + ((cisloVteriny % 60) >= 10 ? (cisloVteriny % 60).ToString() : "0" + cisloVteriny % 60);
            cisloVteriny--;

            if (cisloVteriny <= 119) //Pokud odpočet dosáhne 2 minuty a méně
            {
                Odpocet.ForeColor = Color.Red; //Změnit barvu textu na červenou
                Stopky.Interval = 250; //Změnit rychlost odpočtu na 250ms z 1000ms (1000ms = 1s)
                if (cisloVteriny == -1) //Pokud je odpočet roven 0 tedy 0:00
                {
                    Odpocet.ForeColor = Color.Blue; //Vyresetovat barvu zpět na modrou
                    Stopky.Enabled = false; //Zastavit odpočet
                    Stopky.Interval = 1000; //Vyresetovat rychlost odpočtu zpět na 1 vteřinu
                }
            }
            else //Pokud je odpočet vyšší než 2 minuty (2:00) - Např. 2:01, 3:00, 4:00, atd...
            {
                //Použito z důvodu změny odpočítávané hodnoty během odpočtu, pokud by byla hodnota nižší než 2 minuty,
                //tak by se čas a barva nevyresetovaly a kterýkoliv interval by běžel příliš rychle a byl by červený.

                Odpocet.ForeColor = Color.Blue; //Vyresetovat barvu zpět na modrou
                Stopky.Interval = 1000; //Vyresetovat interval zpět na 1 vteřinu
            }
        }
    }
}
